Summary: A library of functions for controlling audio CD-ROM players.
Name: libcdaudio
Version: 0.99.1 
Release: 5
Copyright: LGPL
Group: System Environment/Libraries
Source: http://cdcd.undergrid.net/libcdaudio/source_archive/libcdaudio-%{version}.tar.gz
#Patch1: libcdaudio-broken_makefile_am.patch
BuildRoot: /var/tmp/libcdaudio-root
Packager: Adrian Likins <alikins@redhat.com>
URL: http://cdcd.undergrid.net/

%description
Libcdaudio is a CD player development library which includes a basic
command set for controlling the operation of the CD-ROM drive as well
as functions for accessing the CDDB, the CD Index, and the cover art
index. The CD Database (CDDB) is currently managed by Escient, Inc.,
and libcdaudio is not licensed to use this database and most likely
never will be. If you want to specifically use CDDB data use the
FreeDB (http://www.freedb.org/), which works well with libcdaudio.
The CD Index (http://www.cdindex.org/) is a track information
management system. The Cover Art Index
(http://coverart.undergrid.net/) provides a method of locating cover
art for a particular CD based upon the disc's name or CD Index ID.

%package devel
Summary: Header files and static libraries for libcdaudio development.
Group: System Environment/Libraries

%description devel
Libcdaudio is a CD player development library which includes a basic
command set for controlling the operation of the CD-ROM drive as well
as functions for accessing the CDDB, the CD Index, and the cover art
index. The libcdaudio-devel package provides the header files and
static libraries needed for libcdaudio development.

%prep
%setup -q 


%build
./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} install
strip $RPM_BUILD_ROOT/%{_prefix}/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%{_prefix}/lib/libcdaudio.so.1.0.0
%{_prefix}/lib/libcdaudio.so.1

%files devel
%defattr(-,root,root)
%{_prefix}/lib/libcdaudio.so
%{_prefix}/lib/libcdaudio.a
%{_prefix}/include/cdaudio.h
%{_prefix}/lib/libcdaudio.la

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- removed redundant defines
- rebuitl for 7.0

* Tue Nov 2 1999 Tim Powers <timp@redhat.com>
- quiet setup
- updated to 0.99.1

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Tue Aug 3 1999 Tim Powers <timp@redhat.com>
- changed buildroot to be in /var/tmp
- explicit files listing so it can build
- rebuilt for 6.1

* Sun Jun  6 1999 Adrian Likins <alikins@redhat.com>
-first release as rpm
